CVE-2021-23433 – The package algoliasearch-helper before 3.6.2 are vulnerable to Prototype Pollution due to …

Vuln ID: CVE-2021-23433

Published:  2021-11-19  20:15:17Z

Description: The package algoliasearch-helper before 3.6.2 are vulnerable to Prototype Pollution due to use of the merge function in src/SearchParameters/index.jsSearchParameters._parseNumbers without any protection against prototype properties. Note that this vulnerability is only exploitable if the implementation allows users to define arbitrary search patterns.

Source: NVD.NIST.GOV

 


Date:

Categories:

NVD

Tags: